#include "testlib.h"

int main(int argc, char *argv[]) {
    registerGen(argc, argv, 1);
    size_t t = opt<size_t>("t");
    int64_t min_n = opt<int64_t>("min_n");
    int64_t max_n = opt<int64_t>("max_n");
    std::cout << t << '\n';
    for (size_t i = 0; i < t; ++i)
        std::cout << rnd.next(min_n, max_n) << " \n"[i + 1 == t];
}
